[indent=4]

uses
    Gtk

/*----------------------------------------------------

  this files contains the CUSTOM tree related actions
  for our program.




------------------------------------------------------*/


//-- action: a line in tree1 was clicked --

def tree1_row_clicked() 

    //-- delete the filelist in the second tree --
    treeclass2.store.clear()
    
    var ret = treeclass1.foldertree_click(mytree1)
    if ret is ""
        return
    
    //print ("selected is: %s" , ret )
    treeclass1.current_path = ret
    
    //-- create a new filelist in the second tree --
    treeclass1.show_filelist( treeclass1.current_path , treeclass2)




//-- action: a line in tree2 was clicked --

//-- we load and show an image with this method --

def tree2_row_click() 

    var ret = treeclass2.tree_click(mytree2)
    print ("selected is: %s" , ret)
    //print("%s" , treeclass1.current_path)
    
    var suffix= ret.rchr(-1,'.').down()


    var load = false
    if suffix is ".jpg"
        load = true
    
    if suffix is ".jpeg"
        load = true
                
    if suffix is ".png"
        load = true   
        
    if suffix is ".bmp"
        load = true
        
    if suffix is ".xpm"
        load = true   
         
        
    if load is false
        return
        

    //-- calculate the size for the image --
    var wx=0
    var wy=0
    get_window("window1").get_size (out wx, out wy)
    //print("%d --- %d" , wx,wy)
    
    
    var p1 = get_paned("hpaned1").get_position ()
    var p2 = get_paned("hpaned2").get_position ()
    
    wx=wx-p1-p2-40
    
    //-- load to a pixbuf first, as this can be scaled --
    //get_image("image1").set_from_file(current_path + "/" + ret) 
    pixbuf : Gdk.Pixbuf
    try
        pixbuf= new Gdk.Pixbuf.from_file_at_size(treeclass1.current_path + "/" + ret , wx,wy-80)
    except ex : GLib.Error
        print("%s", "load pixbuf failed!")
    
    get_image("image1").set_from_pixbuf(pixbuf) 
    pixbuf=null

    current_file=treeclass1.current_path + "/" + ret
    

     
//-- action: a line in the tree1 was collapsed --

def tree1_row_collapsed(iter : TreeIter , path : TreePath)

    //-- update the filelist for the second tree --
    tree1_row_clicked() 


//-- action: a line in the tree2 was expanded --

def tree1_row_expanded(iter : TreeIter , path : TreePath)

    //-- update the filelist for the second tree --
    tree1_row_clicked()



//-- action: a line in the tree2 was expanded --

def tree2_row_expanded(iter : TreeIter , path : TreePath)


    //-- we do not need this in the picturebrowser --

    print ("%s" , "test 1")
    //var ret = ""
    //treeclass2.store.get(iter ,1 ,out ret)
    //print ("expanded: %s" , ret)    
    //print ("path: %s" , path.to_string()) 

//-- action: a line in the tree2 was collapsed --

def tree2_row_collapsed(iter : TreeIter , path : TreePath)

    //-- we do not need this in the picturebrowser --

    print ("%s" , "test 2")
    //var ret = ""
    //treeclass2.store.get(iter ,1 ,out ret)
    //print ("collapsed: %s" , ret)    
    //print ("path: %s" , path.to_string())





